Обход ограничений безопасности в OpenStack keystonemiddleware

Дата публикации:
30.09.2014
Дата изменения:
30.09.2014
Всего просмотров:
745
Опасность:
Низкая
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:A/AC:L/Au:N/C:N/I:P/A:N/E:U/RL:W/RC:C) = Base:3.3/Temporal:2.7
CVE ID:
CVE-2014-7144
Вектор эксплуатации:
Локальная сеть
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenStack keystonemiddleware 1.x
Уязвимые версии: OpenStack keystonemiddleware 1.1.1

Описание:
Уязвимости позволяют удаленному пользователю обойти ограничения безопасности.

Уязвимость существует из-за ошибки, возникающей при обработке опции "ssl_insecure" в функции "_http_request()" в keystonemiddleware/auth_token.py. Удаленный пользователь может обойти проверку сертификата безопасности.

Примечание: Для успешной эксплуатации уязвимости необходимо, чтобы опция "ssl_insecure" была настроена на отключение, к примеру, в значение "false".

URL производителя: https://github.com/openstack/keystonemiddleware

Решение: Установите исправление из репозитория исходного кода.

Ссылки: https://bugs.launchpad.net/python-keystoneclient/+bug/1353315